com.pixelmed.database

## Class DicomDictionaryForMinimalPatientStudySeriesInstanceModel

- java.lang.Object
- - com.pixelmed.dicom.DicomDictionaryBase
  - - com.pixelmed.dicom.DicomDictionary
    - - com.pixelmed.database.DicomDictionaryForMinimalPatientStudySeriesInstanceModel

    public class DicomDictionaryForMinimalPatientStudySeriesInstanceModel
    extends DicomDictionary

The `DicomDictionaryForMinimalPatientStudySeriesInstanceModel` class supports a simple DICOM Patient/Study/Series/Concatenation/Instance model.

The subset of the DICOM standard dictionary elements that is included in this dictionary (and hence in the database underlying any `DatabaseInformationModel` that uses this dictionary) consists of the following:

- TransferSyntaxUID
- SourceApplicationEntityTitle
- SpecificCharacterSet
- ImageType
- SOPClassUID
- SOPInstanceUID
- Manufacturer
- PatientName
- PatientID
- PatientBirthDate
- PatientSex
- StudyInstanceUID
- SeriesInstanceUID
- StudyID
- SeriesNumber
- SeriesDescription
- Modality
- InstanceNumber
- InstanceCreatorUID

See Also:
  `MinimalPatientStudySeriesInstanceModel`, `InformationEntity`

### Field Summary

### Fields inherited from class com.pixelmed.dicom.DicomDictionaryBase

`fullNameByTag, informationEntityByTag, nameByTag, tagByName, tagList, valueRepresentationsByTag`

### Constructor Summary

Constructors
Constructor and Description
`DicomDictionaryForMinimalPatientStudySeriesInstanceModel()`

### Method Summary

Methods
`protected void` `createTagList()` Concrete sub-classes implement this method to create a list of all tags in the dictionary.

### Methods inherited from class com.pixelmed.dicom.DicomDictionary

`createFullNameByTag, createInformationEntityByTag, createNameByTag, createTagByName, createValueRepresentationsByTag`

### Methods inherited from class com.pixelmed.dicom.DicomDictionaryBase

`getFullNameFromTag, getInformationEntityFromTag, getNameFromTag, getTagFromName, getTagIterator, getValueRepresentationFromTag, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomDictionaryForMinimalPatientStudySeriesInstanceModel

    public DicomDictionaryForMinimalPatientStudySeriesInstanceModel()

### Method Detail

#### createTagList

    protected void createTagList()

Description copied from class: `DicomDictionaryBase`

Concrete sub-classes implement this method to create a list of all tags in the dictionary.

Overrides:
  `createTagList` in class `DicomDictionary`